<div class="container-fluid">
    <div class="heading">
        <p class="friends">{{"HEADING.edit"|translate}}</p>
    </div>
    <form [formGroup]="updateForm" (ngSubmit)="update(updateForm)">
        <div class="text-right ">
            <button class="btn bg-white  border-primary mr-4" (click)='deleteUser()'> {{"BUTTONS.delete"|translate}}
            </button>
            <!-- <mat-checkbox class="example-margin" #ref>
                <div [ngClass]="{ high: ref.checked }" class="check_box">
                    <span class="material-icons">star_border</span>
                </div>
            </mat-checkbox>
            {{ref}} -->
            <mat-checkbox class="example-margin  " formControlName='favourite' title="bookmark page" #ref>
                <div *ngIf="ref.checked">
                    <span class="material-icons">star</span>
                </div>
                <div *ngIf="!ref.checked">
                    <span class="material-icons">star_border</span>
                </div>
            </mat-checkbox>
        </div>
        <div class="row text-right">
            <div class="col-6 form-group">
                <mat-form-field class="example-full-width">
                    <mat-label>{{"USERDETAILS.first_name"|translate}}</mat-label>
                    <input type="text" matInput formControlName="firstname"
                        placeholder="{{'USERDETAILS.first_name'|translate}}">
                    <mat-error *ngIf="updateForm.controls['firstname'].invalid">
                        <div *ngIf="updateForm.controls['firstname'].errors.required">
                            {{"VALIDATIONS.first_name_required"|translate}}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-6">
                <mat-form-field class="example-full-width">
                    <mat-label>{{"USERDETAILS.last_name"|translate}}</mat-label>
                    <input type="text" matInput formControlName="lastname"
                        placeholder="{{'USERDETAILS.last_name'|translate}}">
                    <mat-error *ngIf="updateForm.controls['lastname'].invalid">
                        <div *ngIf="updateForm.controls['lastname'].errors.required">
                            {{"VALIDATIONS.last_name_required"|translate}}
                        </div>
                    </mat-error>
                </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-6 form-chec">
                <div class="form-check-labe">
                    <mat-label class="radioLabel">{{"USERDETAILS.gender"|translate}}</mat-label>
                    <div class="mt-2">
                        <mat-radio-group aria-label="Gender" formControlName="gender">
                            <mat-radio-button value="male">{{"USERDETAILS.male"|translate}}</mat-radio-button>
                            <mat-radio-button value="female">{{"USERDETAILS.female"|translate}}</mat-radio-button>
                            <mat-error
                                *ngIf="updateForm.controls['gender'].invalid && updateForm.controls['gender'].errors.required">
                                <div>
                                    {{"VALIDATIONS.required_field"|translate}}
                                </div>
                            </mat-error>
                        </mat-radio-group>
                    </div>
                </div>
            </div>
            <div class="col-6 form-check">
                <div class="form-check-label">
                    <mat-label class="radioLabel">{{"USERDETAILS.martial_status"|translate}}</mat-label>
                    <div class="mt-2">
                        <mat-radio-group aria-label="MartialStatus" formControlName="martialstatus">
                            <mat-radio-button value="married">{{"USERDETAILS.married"|translate}}</mat-radio-button>
                            <mat-radio-button value="unmarried">{{"USERDETAILS.unmarried"|translate}}</mat-radio-button>
                            <mat-error *ngIf="updateForm.controls['martialstatus'].invalid">
                                <!-- <div *ngIf="updateForm.controls['martialstatus'].errors.required">
                                    * {{"VALIDATIONS.*required_field"|translate}}
                                </div> -->
                            </mat-error>
                        </mat-radio-group>
                    </div>
                </div>
            </div>
        </div>

        <div formArrayName="contactnumbers"
            *ngFor="let item of updateForm.get('contactnumbers')['controls']; let i = index;">
            <div [formGroupName]="i">
                <div class="row p-2  mt-2 jumbotron">
                    <div class="col-5">
                        <mat-form-field appearance="fill">
                            <mat-label>{{"USERDETAILS.contact_type"|translate}}</mat-label>
                            <mat-select formControlName="contact">
                                <mat-option *ngFor="let contact of contactTypes" [value]="contact.value"
                                    (click)="ChangeContactTypeValidation(i)">
                                    {{contact.viewValue}}
                                </mat-option>
                            </mat-select>
                            <mat-error
                                *ngIf="updateForm.get('contactnumbers')['controls'][i]['controls']['contact'].invalid">
                                <div
                                    *ngIf="updateForm.get('contactnumbers')['controls'][i]['controls']['contact'].errors.required">
                                    {{"VALIDATIONS.select_contact_type"|translate}}
                                </div>
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-5 mt-2">
                        <mat-form-field class="example-full-width">
                            <mat-label>{{"USERDETAILS.number"|translate}}</mat-label>
                            <input type="text" matInput formControlName="number"
                                placeholder="{{'USERDETAILS.number'|translate}}">
                            <mat-error
                                *ngIf="updateForm.get('contactnumbers')['controls'][i]['controls']['number'].invalid ">
                                <div>
                                    <div
                                        *ngIf="updateForm.get('contactnumbers')['controls'][i]['controls']['number'].errors.required">
                                        {{"VALIDATIONS.contact_number_required"|translate}}
                                    </div>
                                    <!-- <div
                                        *ngIf="updateForm.get('contactnumbers')['controls'][i]['controls']['number'].errors.pattern && (checkContactType=='mobile')">
                                        {{"VALIDATIONS.invalid_mobile_number"|translate}}
                                    </div>
                                    <div
                                        *ngIf="updateForm.get('contactnumbers')['controls'][i]['controls']['number'].errors.minlength && (checkContactType=='landline')">
                                        {{"VALIDATIONS.invalid_landline_number"|translate}}
                                    </div> -->
                                    <div
                                        *ngIf="contacts['controls'][i]['controls']['number'].errors.pattern && 
                                    (contacts['controls'][i]['controls']['contact'].value=='mobile')">
                                        {{"VALIDATIONS.invalid_mobile_number"|translate}}
                                    </div>
                                    <div
                                        *ngIf="contacts['controls'][i]['controls']['number'].errors.minlength && 
                                             (contacts['controls'][i]['controls']['contact'].value=='landline')">
                                        {{"VALIDATIONS.invalid_landline_number"|translate}}
                                        <!-- Ex:-00002469XXX -->
                                    </div>
                                </div>
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="col-2 mt-2">
                        <i class="fa fa-minus p-1" aria-hidden="true" (click)="removeContactRow(i)"  *ngIf="i!==0"></i>
                        <i class="fa fa-plus p-1" aria-hidden="true" (click)="addContactRow()"></i>

                    </div>
                    <!-- </div> -->
                </div>
            </div>


        </div>
        <div class="text-right mt-5">
            <button mat-raised-button color="primary">{{"BUTTONS.update"|translate}}</button>
        </div>
    </form>
</div>